# Slashing

Anyone can slash during the slashing window of an epoch. The caller will receive half of the slashed amount. If the caller is a staked executor, the reward will to go their internal balance within the `Coordinator` contract, otherwise the caller is rewarded by a ERC-20 transfer. The other half of the slashed amount goes to the protocol. In EES there are two situations where an active executor can be slashed:

1. Designation inactivity - if an executor is designated for a round in which they do not call the `executeBatch` function.
2. Committing without revealing - if an executor calls `commit` during an epoch without doing the followup `reveal` call during the same epoch.

Each of these comes with a different slashing amount stored on-chain as `inactiveSlashingAmountPerModule` and `commitSlashingAmountPerModule`. The actual slashed amount is either of these multiplied by the number of modules the executor has registered for. For specific deployment values please refer to [Deployments](/deployments.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ees.xyz/coordination/slashing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
